at.chipkarte.client.rez.soap

## Class Partnerdaten

- Object
- - at.chipkarte.client.rez.soap.Partnerdaten

-     public class Partnerdaten
      extends Object

  Daten zum Verordner/Abgeber.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Partnerdaten()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Ordination` | `getOrdination()` Ordinationsdaten.
    `String` | `getVerordnerTelefon()` Telefonnummer des Verordners.
    `String` | `getVerschreibenderArzt()` Verschreibender Arzt (nur relevant bei den Partnerdaten des Verordners).
    `String` | `getVpnr()` Vertragspartner Nummer.
    `String` | `getVpTitelHinten()` Titel hinter dem Namen des Vertragspartners.
    `String` | `getVpTitelVorne()` Titel vor dem Namen des Vertragspartners.
    `String` | `getVpVorname()` Vorname des Vertragspartners.
    `String` | `getVpZuname()` Zuname / Familienname des Vertragspartners bzw.
    `void` | `setOrdination(Ordination ordination)`
    `void` | `setVerordnerTelefon(String verordnerTelefon)`
    `void` | `setVerschreibenderArzt(String verschreibenderArzt)`
    `void` | `setVpnr(String vpnr)`
    `void` | `setVpTitelHinten(String vpTitelHinten)`
    `void` | `setVpTitelVorne(String vpTitelVorne)`
    `void` | `setVpVorname(String vpVorname)`
    `void` | `setVpZuname(String vpZuname)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Partnerdaten

          public Partnerdaten()

  - ### Method Detail

    - #### getVpnr

          public String getVpnr()

      Vertragspartner Nummer.
      Format: 6-stellig
      Angabe: Muss.
      Returns:
        VPNR

    - #### setVpnr

          public void setVpnr(String vpnr)

    - #### getOrdination

          public Ordination getOrdination()

      Ordinationsdaten. Siehe `Ordination`.
      Angabe: Muss.
      Returns:
        Ordinationsdaten

    - #### setOrdination

          public void setOrdination(Ordination ordination)

    - #### getVpVorname

          public String getVpVorname()

      Vorname des Vertragspartners.
      Format: maximal 70-Zeichen
      Angabe: Kann.
      Returns:
        Freitext Vorname

    - #### setVpVorname

          public void setVpVorname(String vpVorname)

    - #### getVpZuname

          public String getVpZuname()

      Zuname / Familienname des Vertragspartners bzw. Name der Organisation.
      Format: maximal 70-Zeichen
      Angabe: Muss.
      Returns:
        Freitext Zuname

    - #### setVpZuname

          public void setVpZuname(String vpZuname)

    - #### getVpTitelVorne

          public String getVpTitelVorne()

      Titel vor dem Namen des Vertragspartners.
      Format: maximal 30-Zeichen
      Angabe: Kann.
      Returns:
        Freitext Titel vorne

    - #### setVpTitelVorne

          public void setVpTitelVorne(String vpTitelVorne)

    - #### getVpTitelHinten

          public String getVpTitelHinten()

      Titel hinter dem Namen des Vertragspartners.
      Format: maximal 30-Zeichen
      Angabe: Kann.
      Returns:
        Freitext Titel hinten

    - #### setVpTitelHinten

          public void setVpTitelHinten(String vpTitelHinten)

    - #### getVerschreibenderArzt

          public String getVerschreibenderArzt()

      Verschreibender Arzt (nur relevant bei den Partnerdaten des Verordners).
      Format: maximal 250-Zeichen
      Angabe: Kann.
      Returns:
        Freitext Name

    - #### setVerschreibenderArzt

          public void setVerschreibenderArzt(String verschreibenderArzt)

    - #### getVerordnerTelefon

          public String getVerordnerTelefon()

      Telefonnummer des Verordners.
      Format: Länge: 3 bis 50; erlaubte Zeichen: 0-9, /, -, +, \, (, ), Leerzeichen
      Angabe: Kann.
      Returns:
        Telefonnummer

    - #### setVerordnerTelefon

          public void setVerordnerTelefon(String verordnerTelefon)